| Kea 3.0.2-git

Typedefs for OptionInt class.

Classes that represent options comprising an integer. More...

## Typedefs
typedef OptionInt< uint16_t > | isc::dhcp::OptionUint16
typedef boost::shared_ptr< OptionUint16 > | isc::dhcp::OptionUint16Ptr
typedef OptionInt< uint32_t > | isc::dhcp::OptionUint32
typedef boost::shared_ptr< OptionUint32 > | isc::dhcp::OptionUint32Ptr
typedef OptionInt< uint8_t > | isc::dhcp::OptionUint8
typedef boost::shared_ptr< OptionUint8 > | isc::dhcp::OptionUint8Ptr

## Detailed Description

Classes that represent options comprising an integer.

## Typedef Documentation

## ◆ OptionUint16

typedef OptionInt<uint16_t> isc::dhcp::OptionUint16

Definition at line 32 of file option_int.h.

## ◆ OptionUint16Ptr

typedef boost::shared_ptr<OptionUint16> isc::dhcp::OptionUint16Ptr

Definition at line 33 of file option_int.h.

## ◆ OptionUint32

typedef OptionInt<uint32_t> isc::dhcp::OptionUint32

Definition at line 34 of file option_int.h.

## ◆ OptionUint32Ptr

typedef boost::shared_ptr<OptionUint32> isc::dhcp::OptionUint32Ptr

Definition at line 35 of file option_int.h.

## ◆ OptionUint8

typedef OptionInt<uint8_t> isc::dhcp::OptionUint8

Definition at line 30 of file option_int.h.

## ◆ OptionUint8Ptr

typedef boost::shared_ptr<OptionUint8> isc::dhcp::OptionUint8Ptr

Definition at line 31 of file option_int.h.